# zope imports
from zope.interface import implements
from zope.component import adapts

# CMFCore imports
from Products.CMFCore.utils import getToolByName

# iqpp.commenting imports
from iqpp.commenting.interfaces import ICommentingOptions
from iqpp.commenting.interfaces import ICommentable

class ConfigletCommentingOptions:
    """An adapter to take the options from a tool (configlet from a users 
    point of view).
    """
    implements(ICommentingOptions)
    adapts(ICommentable)

    def __init__(self, context):
        self.context = context

    def getOptions(self):
        """
        """
        ctool = getToolByName(self.context, "commenting_tool")
        return dict(ctool.propertyItems())