from StringIO import StringIO

def addCommentingPortlet(portal, out):
    """
    """
    portlets = list(portal.getProperty("right_slots"))
    
    if "context/portlet_commenting/macros/portlet" not in portlets:
        portlets.insert(0, "context/portlet_commenting/macros/portlet")
        portal.manage_editProperties(right_slots=portlets)

        print >> out, "Added commenting portlet."    

def importVarious(context):
    """Import various settings.
    """
    out = StringIO()        
    portal = context.getSite()
    
    # add portlet
    addCommentingPortlet(portal, out)
    
    logger = context.getLogger("EasyCommenting")
    logger.info(out.getvalue()) 
    