# zope imports
from DateTime import DateTime
from persistent import Persistent
from zope.interface import implements
from zope.app.container import contained

# iqpp.commenting imports
from iqpp.commenting.interfaces import IComment
from OFS.SimpleItem import SimpleItem

# class Comment(SimpleItem, Persistent):
class Comment(Persistent):
    """A comment. 
    """    
    implements(IComment)
    
    def __init__(self, id, reply_to, subject, message, member_id="", name="", email="", review_state="pending"):
        """
        """
        self.id = id
        self.reply_to = reply_to
        self.member_id = member_id
        self.name = name
        self.email = email
        self.subject = subject
        self.message = message
        self.transformed_message = ""        
        self.review_state = review_state
        self.created = DateTime()
        self.modified = DateTime()
